#!/usr/bin/env bash
alias ll='ls -alF'
alias curl='curl --proto-default https --silent '
alias to_lower="tr '[:upper:]' '[:lower:]'"
alias to_upper="tr '[:lower:]' '[:upper:]'"

alias 644='chmod 644'
alias 755='chmod 755'
alias 600='chmod 600'
alias 700='chmod 700'
alias +x='chmod +x'

alias rsync-win='rsync --recursive --verbose --times --modify-window=1 '
alias simple-http-server='python3 -m http.server'
# shellcheck disable=SC1004
alias wget-opendir='wget --recursive --level 0 --continue --no-clobber \
    --no-parent --execute robots=off --random-wait --limit-rate=800k \
    --reject=html,htm,index'

alias numfiles='find . -maxdepth 1 -type f | wc -l'
alias take='sudo chown $(whoami):$(whoami) '
alias pretty_json='jq --compact-output | prettier --parser json | bat --language json'

if [[ $(uname) == Linux ]]; then
    alias ls='ls --color=auto'
    alias grep='grep --color=auto'
    alias fgrep='fgrep --color=auto'
    alias egrep='egrep --color=auto'
fi
